# Uses of Interface
org.eclipse.net4j.ws.IWSConnector

Packages that use IWSConnector
Package
Description
org.eclipse.net4j.ws
Transport layer extension with support for Websocket connections.
org.eclipse.net4j.ws.jetty
Jetty-specific classes with support for Websocket connections.

## Uses of IWSConnector in org.eclipse.net4j.ws

Methods in org.eclipse.net4j.ws that return IWSConnector
Modifier and Type
Method
Description
`IWSConnector`
IWSNegotiationContext.`getConnector()`
`static IWSConnector`
WSUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`static IWSConnector`
WSUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, URI serviceURI, String acceptorName)`

## Uses of IWSConnector in org.eclipse.net4j.ws.jetty

Methods in org.eclipse.net4j.ws.jetty that return IWSConnector
Modifier and Type
Method
Description
`IWSConnector`
Net4jWebSocket.`getConnector()`
Constructors in org.eclipse.net4j.ws.jetty with parameters of type IWSConnector
Modifier
Constructor
Description
``
`Net4jWebSocket(IWSConnector connector)`
Called by `WSClientConnector`.